> For the complete documentation index, see [llms.txt](https://docs.gammaswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gammaswap.com/markets-and-trading/fees.md).

# Fees

There are only trading fees. There are no fees to claim a payout if a contract wins.

### Taker Fees

The fee we charge to takers follows a similar structure to other prediction markets.

We use the following formula \
\
$$fees = round Up (C \* feeConstant \* P \* (1 - P))$$

where \
\
*C = the number of contracts being traded*\
*P = the price of contracts in $*\
*feeConsant = the fee multiplier for the market*

roundUp = rounds up to the nearest centicent

Currently, the *feeConstan*t for all markets is 0.07.

| Contract Price | Price for 100 Contracts | Fee for 100 Contracts |
| -------------- | ----------------------- | --------------------- |
| 99¢            | $99.00                  | $0.07                 |
| 95¢            | $95.00                  | $0.34                 |
| 90¢            | $90.00                  | $0.63                 |
| 85¢            | $85.00                  | $0.90                 |
| 80¢            | $80.00                  | $1.12                 |
| 75¢            | $75.00                  | $1.32                 |
| 70¢            | $70.00                  | $1.47                 |
| 65¢            | $65.00                  | $1.60                 |
| 60¢            | $60.00                  | $1.68                 |
| 55¢            | $55.00                  | $1.74                 |
| 50¢            | $50.00                  | $1.75                 |
| 45¢            | $45.00                  | $1.74                 |
| 40¢            | $40.00                  | $1.68                 |
| 35¢            | $35.00                  | $1.60                 |
| 30¢            | $30.00                  | $1.47                 |
| 25¢            | $25.00                  | $1.32                 |
| 20¢            | $20.00                  | $1.12                 |
| 15¢            | $15.00                  | $0.90                 |
| 10¢            | $10.00                  | $0.63                 |
| 5¢             | $5.00                   | $0.34                 |
| 1¢             | $1.00                   | $0.07                 |

### Maker Fees

There are currently no maker fees. There are rebates for market making, see the [Market Making](/markets-and-trading/market-making.md) section for more information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gammaswap.com/markets-and-trading/fees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
